# include/xapian/database.h File Reference

API for working with Xapian databases. More...

`#include <string>`
`#include <vector>`
`#include <xapian/base.h>`
`#include <xapian/types.h>`
`#include <xapian/positioniterator.h>`
`#include <xapian/postingiterator.h>`
`#include <xapian/termiterator.h>`
`#include <xapian/visibility.h>`

Include dependency graph for database.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::Database
| This class is used to access a database, or a group of databases. More...
class | Xapian::WritableDatabase
| This class provides read/write access to a database. More...

## Variables

const int | Xapian::DB_CREATE_OR_OPEN = 1
| Open for read/write; create if no db exists.
const int | Xapian::DB_CREATE = 2
| Create a new database; fail if db exists.
const int | Xapian::DB_CREATE_OR_OVERWRITE = 3
| Overwrite existing db; create if none exists.
const int | Xapian::DB_OPEN = 4
| Open for read/write; fail if no db exists.

## Detailed Description

API for working with Xapian databases.